# Editing

## DikeErrorMessage

```typescript
abstract class DikeErrorMessage {
  constructor();
  
  get messages(): string[];
  
  assign(messages: DikeErrorMessage): this;
  addMessage(errorKey: string, errorMessage: string): this;
  removeMessage(errorKey: string): string | undefined;
  getMessage(errorKey: string): string | undefined;
}
```

## DikeStandardErrorMessage

```typescript
class DikeStandardErrorMessage extends DikeErrorMessage {
  constructor() {
    super();

    this.addMessage(ErrorType.MIN, 'The minimum number is incorrect');
    this.addMessage(ErrorType.MAX, 'The maximum number is incorrect');
    this.addMessage(ErrorType.REQUIRED, 'Required field');
    this.addMessage(ErrorType.EMAIL, 'The email pattern is incorrect');
    this.addMessage(ErrorType.MIN_LENGTH, 'The minimum length is incorrect');
    this.addMessage(ErrorType.MAX_LENGTH, 'The maximum length is incorrect');
    this.addMessage(ErrorType.PATTERN, 'Wrong pattern');
  }
}
```

## CustomErrorMessage

```typescript
class CustomErrorMessage extends DikeErrorMessage {
  constructor();
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dikesoft.com/reference/classes/editing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
